> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ドメインを取得

> 顧客向けドメイン詳細を返します。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json GET /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: ドメインを取得
      description: 顧客向けドメイン詳細を返します。
      operationId: get_public_domain_v1_public_accounts__account_id__domains__domain__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainDetailResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainDetailResponse:
      properties:
        auto_renew:
          default: false
          description: ドメインの自動更新が有効かどうか
          title: 自動更新
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: ドメイン作成のタイムスタンプ
          title: 作成日時
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: 専用の IP UUID を割り当てます (存在する場合)
          title: 専用IP ID
        dns_records:
          description: ドメインの DNS レコード
          items:
            $ref: '#/components/schemas/DomainDnsRecordResponse'
          title: DNSレコード
          type: array
        id:
          description: ドメイン UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: インバウンドテナントのプロバイダー外部 ID
          title: 受信テナント外部 ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: 受信テナント UUID (割り当てられている場合)
          title: 受信テナント ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: 受信テナントの表示名 (割り当てられている場合)
          title: 受信テナント名
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: 受信テナント タイプ (割り当てられている場合)
          title: 受信テナントタイプ
        mailboxes:
          description: ドメイン上のメールボックス
          items:
            $ref: '#/components/schemas/DomainMailboxSummary'
          title: メールボックス
          type: array
        name:
          description: ドメイン名
          title: 名前
          type: string
        outbound_routing_ready:
          description: アウトバウンドルーティングの準備ができているかどうか
          title: 送信ルーティング準備完了
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: 設定されたリダイレクト モード (存在する場合)
          title: リダイレクトモード
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: 設定されたリダイレクト URL (存在する場合)
          title: リダイレクト URL
        status:
          description: ドメインのライフサイクルステータス
          title: ステータス
          type: string
        tags:
          description: ドメインに付けられたタグ
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: タグ
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: ドメインの最終更新タイムスタンプ
          title: 更新日時
        workspace_id:
          description: ドメインを含むワークスペース UUID
          format: uuid
          title: ワークスペースID
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: ドメインDetailレスポンス
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    DomainDnsRecordResponse:
      description: ドメイン詳細に埋め込まれたDNSレコード。
      properties:
        id:
          description: DNS レコード識別子
          title: ID
          type: integer
        is_system_managed:
          default: false
          description: レコードが HybridBox によって管理されているかどうか
          title: システム管理対象
          type: boolean
        name:
          description: DNS レコード名
          title: 名前
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          description: DNS レコード優先度 (該当する場合)
          title: 優先度
        ttl:
          description: DNS TTL を秒単位で記録します
          title: TTL
          type: integer
        type:
          description: DNS レコードタイプ
          title: 種類
          type: string
        value:
          description: DNS レコード値
          title: 値
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: ドメインDnsRecordレスポンス
      type: object
    DomainMailboxSummary:
      description: ドメイン詳細に埋め込まれたメールボックスサマリー。
      properties:
        active:
          description: メールボックスがアクティブかどうか
          title: アクティブ
          type: boolean
        email:
          description: プライマリメールボックスの電子メールアドレス
          title: メール
          type: string
        first_name:
          description: メールボックスユーザーの名
          title: 名
          type: string
        id:
          description: メールボックス UUID
          format: uuid
          title: ID
          type: string
        last_name:
          description: メールボックスユーザーの姓
          title: 姓
          type: string
      required:
        - id
        - email
        - first_name
        - last_name
        - active
      title: ドメインメールボックスSummary
      type: object
    DomainTagResponse:
      description: ドメインに付与されたタグ。
      properties:
        id:
          description: タグUUID
          format: uuid
          title: ID
          type: string
        name:
          description: タグの表示名
          title: 名前
          type: string
      required:
        - id
        - name
      title: ドメインTagレスポンス
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````